# FoundationClasses
TKMath
Poly

# Poly_HArray1OfTriangle Class Reference

`#include <Poly_HArray1OfTriangle.hxx>`

Inheritance diagram for Poly_HArray1OfTriangle:

[legend]

## Public Member Functions

Standard_EXPORT | Poly_HArray1OfTriangle (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Poly_HArray1OfTriangle (const Standard_Integer Low, const Standard_Integer Up, const Poly_Triangle &V)
Standard_EXPORT void | Init (const Poly_Triangle &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Poly_Triangle &Value)
const Poly_Triangle & | Value (const Standard_Integer Index) const
Poly_Triangle & | ChangeValue (const Standard_Integer Index)
const Poly_Array1OfTriangle & | Array1 () const
Poly_Array1OfTriangle & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Poly_Array1OfTriangle | myArray

## Constructor & Destructor Documentation

Standard_EXPORT Poly_HArray1OfTriangle::Poly_HArray1OfTriangle | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Poly_HArray1OfTriangle::Poly_HArray1OfTriangle | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Poly_Triangle & | V
| ) |

## Member Function Documentation

const Poly_Array1OfTriangle& Poly_HArray1OfTriangle::Array1 | ( |  | ) | const

Poly_Array1OfTriangle& Poly_HArray1OfTriangle::ChangeArray1 | ( |  | ) |

Poly_Triangle& Poly_HArray1OfTriangle::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const Poly_HArray1OfTriangle::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void Poly_HArray1OfTriangle::Init | ( | const Poly_Triangle & | V | ) |

Standard_Integer Poly_HArray1OfTriangle::Length | ( |  | ) | const

Standard_Integer Poly_HArray1OfTriangle::Lower | ( |  | ) | const

void Poly_HArray1OfTriangle::SetValue | ( | const Standard_Integer | Index,
|  | const Poly_Triangle & | Value
| ) |

Standard_Integer Poly_HArray1OfTriangle::Upper | ( |  | ) | const

const Poly_Triangle& Poly_HArray1OfTriangle::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Poly_Array1OfTriangle Poly_HArray1OfTriangle::myArray `[private]`

The documentation for this class was generated from the following file:

- Poly_HArray1OfTriangle.hxx